package shapecalculus;

import repast.simphony.context.DefaultContext;
import repast.simphony.context.space.grid.GridFactory;
import repast.simphony.context.space.grid.GridFactoryFinder;
import repast.simphony.space.grid.Grid;
import repast.simphony.space.grid.GridBuilderParameters;
import repast.simphony.space.grid.GridPointTranslator;

public class ActionsContext extends DefaultContext<Object> {

	private Grid<Object> grid;

	public ActionsContext(GridPointTranslator translator, int ...dimensions) {
		super("shapecalculus_actions-1", "shapecalculus_actions");
		GridFactory gridFactory = GridFactoryFinder.createGridFactory(null);
		this.grid = gridFactory.createGrid("actions_grid", this,
				GridBuilderParameters.multiOccupancyND(
						new CustomRandomGridAdder<Object>(),
						translator,dimensions));
	}

	// @Override
	// public Context build(Context<Object> context) {
	// context.setId("shapecalculus_actions");
	// GridFactory gridFactory = GridFactoryFinder.createGridFactory(null);
	// this.grid = gridFactory.createGrid("actions_grid", context,
	// GridBuilderParameters.multiOccupancyND(
	// new CustomRandomGridAdder<Object>(),
	// new StickyBorders(), Utils.getCoords(ProvaContext.dimensions)));
	// return context;
	// }

	public Grid<Object> getGrid() {
		return grid;
	}

}
