package shapecalculus;

import repast.simphony.space.continuous.NdPoint;
import repast.simphony.space.grid.GridPoint;
import shapecalculus.behaviour.ActionDispatcher;
import shapecalculus.physics.Motion;

public interface Shape {

	//public int executeBehaviour(AtomicBehaviour action);

	public void updateVelocity();

	public void setMotion(Motion law);

	public void addMotion(Motion law);

	public void applyForce(NdPoint forceVector);

	public Motion getMotion();

	public double getMass();

	//public void setMass(double mass);

	public GridPoint getDiscretePosition();

	public NdPoint getPosition();
	
	public void setDiscretePosition(GridPoint discretePosition);

	public void setPosition(NdPoint position);

	public GridPoint getDiscreteVelocity();

	public NdPoint getVelocity();

	public void setDiscreteVelocity(GridPoint discreteVelocity);

	public void setVelocity(NdPoint velocity);

	public void dispatchEnabledActions(ActionDispatcher dispatcher);
	
	
	//public boolean isBehaviourPerformed();
	
	//public void setBehaviourPerformed(boolean value);
	
	//public boolean getSurfaceAt(int direction);
	
	//public void setSurfaceAt(boolean value, int direction);

	//public void dispatchEnabledActions(ActionDispatcher dispatcher);
}
