package shapecalculus.behaviour;

import java.util.List;

import shapecalculus.BasicShape;

public abstract class AtomicBehaviour implements Behaviour {

	protected List<Integer> path;

	public List<Integer> getPath() {
		return this.path;
	}

	public void initPath(List<Integer> parentPath) {
		this.path = parentPath;
	}

	public abstract boolean canPerform();

	public abstract BasicShape getShape();

	public abstract Object clone();

}
