package shapecalculus.boneremodelling;

import repast.simphony.space.continuous.NdPoint;
import shapecalculus.Shape;
import shapecalculus.physics.Motion;

public class OcMotion implements Motion {

	@Override
	public NdPoint calculateVelocity(Shape s) {
//		 double k = ParametersManager.getDiffusionCoefficents()[0];
//		 NdPoint avg = BRContext.ranklAttraction.getVelocity(s.getPosition());
//		 return new NdPoint(avg.getX() * k, avg.getY() * k, avg.getZ() * k);
		
//		return BRContext.ocDiffusion.getValue(s.getDiscretePosition()
//				.toIntArray(null));
		
		boolean notbound = true;
		Osteoclast oc = (Osteoclast) s;
		int i = 0;
		while (!oc.hasreached() && (notbound = (oc.getSurfaceAt(i) == null)) && i < 6)
			i++;
		if (notbound && !oc.hasreached())
			return BRContext.ranklField.getValue(s.getDiscretePosition()
					.toIntArray(null));
		else {
			oc.setReached(true);
//			double k = ParametersManager.getDiffusionCoefficents()[0];
//			NdPoint avg = BRContext.ranklAttraction
//					.getVelocity(s.getPosition());
//			return new NdPoint(avg.getX() * k, avg.getY() * k, avg.getZ() * k);
			return new NdPoint(0,0,0);
		}
		
	}

}
