package shapecalculus.boneremodelling;

import repast.simphony.context.Context;
import repast.simphony.space.continuous.ContinuousSpace;
import repast.simphony.space.grid.Grid;
import shapecalculus.BasicShape;
import shapecalculus.behaviour.Behaviour;

public abstract class ShapeKiller extends BasicShape {

	public ShapeKiller(double mass, Context context, Grid<Object> grid,
			ContinuousSpace<Object> space, Behaviour behaviour) {
		super(mass, context, grid, space, behaviour);
	}

	public abstract void activateKiller();

}
